Name: gedit-latex-plugin
Version: 0.2
Release: 1%{?dist}
Summary: Gedit plugin for composing and compiling LaTeX documents

%define upname LaTeXPlugin

Group: Applications/Editors
License: GPLv2+
URL: http://live.gnome.org/Gedit/LaTeXPlugin
Source0: http://downloads.sourceforge.com/gedit-latex/%{upname}-%{version}.tar.gz
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: gedit rubber tex(latex) pypoppler python-enchant

# This package should be noarch, but gedit doesn't load plugins from noarch dirs
# Bug filled http://bugzilla.gnome.org/show_bug.cgi?id=554535
%define debug_package %{nil}

%description
This plugin assists you in composing and compiling LaTeX documents using gedit. 

%prep
%setup -q -c %{name}-%{version}

# Fixing the multilib path
# https://sourceforge.net/tracker/index.php?func=detail&aid=2130308&group_id=204144&atid=988428
sed -i -e 's|_PATH_SYSTEM = "/usr/lib|_PATH_SYSTEM = "%{_libdir}|' GeditLaTeXPlugin/src/base/resources.py
sed -i -e 's|_CONFIG_FILENAME = "/etc/texmf/texmf.cnf"|_CONFIG_FILENAME = "/usr/share/texmf/web2c/texmf.cnf"|' GeditLaTeXPlugin/src/latex/environment.py
sed -i -e 's|_DEFAULT_TEXMF_DIR = "/usr/share/texmf-texlive"|_DEFAULT_TEXMF_DIR = "/usr/share/texmf"|' GeditLaTeXPlugin/src/latex/environment.py
#
chmod -x GeditLaTeXPlugin/src/latex/views.py
chmod -x GeditLaTeXPlugin/src/tools/views.py
sed -i -e "1d" GeditLaTeXPlugin/__init__.py

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/gedit-2/plugins
cp GeditLaTeXPlugin.gedit-plugin %{buildroot}%{_libdir}/gedit-2/plugins
cp -a GeditLaTeXPlugin %{buildroot}%{_libdir}/gedit-2/plugins
rm -rf %{buildroot}%{_libdir}/gedit-2/plugins/GeditLaTeXPlugin/ChangeLog
rm -rf %{buildroot}%{_libdir}/gedit-2/plugins/GeditLaTeXPlugin/COPYING
rm -rf %{buildroot}%{_libdir}/gedit-2/plugins/GeditLaTeXPlugin/INSTALL

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc GeditLaTeXPlugin/ChangeLog  GeditLaTeXPlugin/COPYING
%{_libdir}/gedit-2/plugins/*

%changelog
* Wed Apr 21 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-1
- New upstream source. Fixes bz #576598

* Fri Mar 26 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-0.3.rc3
- New upstream source

* Mon Nov 30 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-0.2.rc2
- Using virtual requires to pull in the TeX packages (bz #542611)

* Tue Nov 10 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-0.1.rc2
- New upstream source

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 01 2008 Sergio Pascual <sergiopr at fedoraproject.org> 0.1.3.2-3
- Disabled debuginfo package

* Wed Oct 01 2008 Sergio Pascual <sergiopr at fedoraproject.org> 0.1.3.2-2
- Adding %%clean
- Empty file removed
- Added empty %%build stage
- Should be noarch, but gedit doesn't allow it, bug filled 

* Fri Sep 26 2008 Sergio Pascual <sergiopr at fedoraproject.org> 0.1.3.2-1
- Initial RPM file
